import { ContractConfig, ContractData, MemberData, PaymentEntry, ProposalData, SpendTemplate } from '../types/index.js';
export declare function create_contract(config: ContractConfig, members: MemberData[], terms: ProposalData, signatures?: string[]): ContractData;
export declare function get_contract_id(prop_id: string, published: number, templates: SpendTemplate[]): string;
export declare function activate_contract(contract: ContractData, activated?: number): ContractData;
export declare function get_spend_templates(proposal: ProposalData, fees: PaymentEntry[]): SpendTemplate[];
